# Interface JavaScriptLoader

All Superinterfaces:
  `ClientService, Serializable`

@Deprecated public interface JavaScriptLoader extends ClientService
Deprecated.
Use `ClientFileLoader` instead.
The JavaScriptLoader service allows loading additional JavaScript files at runtime.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`require(String url)`
Deprecated.
Instructs the client to immediately load and evaluate a JavaScript file from the given URL.

## Method Details

### require

void require(String url)
Deprecated.
Instructs the client to immediately load and evaluate a JavaScript file from the given URL. If the file has already been loaded by the client, nothing happens. The `ResourceManager` can be used to register a file that can be loaded by the JavaScriptLoader. Since 2.2 the file can also loaded from any other server the client can connect to.

Parameters:
  `url` - the URL from which to load the JavaScript file